Page MenuHomeFreeBSD

x11-fonts/inconsolata-ttf: Update to 2.001
ClosedPublic

Authored by meta on May 18 2018, 6:20 AM.

Details

Summary

According to WWW[1], the official release is at Google Fonts[2] and official
upstream repository is on GitHub[3] now.

  • Update to 2.001
  • Update WWW
  • Add LICENSE, LICENSE_FILE
  • Add NO_ARCH
  • Bump PORTEPOCH since upstream now has an explicit version number and it goes backwards

[1] http://levien.com/type/myfonts/inconsolata.html
[2] https://www.google.com/fonts/specimen/Inconsolata
[3] https://github.com/google/fonts/tree/master/ofl/inconsolata

Test Plan
  • portlint -AC looks fine except for false positive warnings
  • poudeiere testbuild finished successfully
  • actually install the font, it is shown fine

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

meta created this revision.May 18 2018, 6:20 AM
meta updated this revision to Diff 42687.May 18 2018, 6:27 AM

eliminate irrelevant changes

Changes look good. Also, could you please also add NO_ARCH=yes as it's architecture neutral port ?

Thanks!

meta updated this revision to Diff 42758.May 20 2018, 6:56 AM

Add NO_ARCH=yes

meta edited the summary of this revision. (Show Details)May 20 2018, 7:00 AM
ashish accepted this revision.May 21 2018, 5:47 PM
In D15472#327069, @meta wrote:

Add NO_ARCH=yes

Perfect, thanks!

This revision is now accepted and ready to land.May 21 2018, 5:47 PM
This revision was automatically updated to reflect the committed changes.